<?php
/*
Plugin Name: Color Div Box
Plugin URI: 
Description: Use Color Div Boxes in post / page to highlight important content.
Version: 0.5
Author: Parasmani
Author URI: http://www.blogdemy.com
*/


add_action('admin_menu', 'color_div_box_menu');

/*Add short code*/
add_shortcode( 'colordiv', 'color_div_box_function' );

function color_div_box_menu() {
	add_options_page('Color Div Box Options', 'Color Div Box', 8, 'color-div-box-options', 'color_div_box_options_page');
}


function color_div_box_options_page() {
?>
	</br>
	</br>	
	How to use plugin. Just put the content that you want to highlight in colordiv short code. Specify a color property and you are done. It supports five colors yellow, red, blue, green and orage. See example below.
	</br>
	</br>	
	[colordiv color="yellow"]
	Use yellow div. How do you like this plugin? 
	[/colordiv]
	</br>
	<div style="background-color: #FFFFDD; border-color: #FFFF00; border-style: solid; border-width: 1px;">Use yellow div. How do you like this plugin?</div>

	</br>	
	[colordiv color="red"]
	Use red div. How do you like this plugin? 
	[/colordiv]
	</br>
	<div style="background-color: #FFCCCC; border-color: #FF0000; border-style: solid; border-width: 1px;">Use red div. How do you like this plugin?</div>
	</br>	
	[colordiv color="blue"]
	Use blue div. How do you like this plugin? 
	[/colordiv]
	</br>
	<div style="background-color: #99CCFF; border-color: 3399FF; border-style: solid; border-width: 1px;">Use blue div. How do you like this plugin?</div>
	</br>	
	[colordiv color="green"]
	Use green div. How do you like this plugin? 
	[/colordiv]
	</br>
	<div style="background-color: #99FF66; border-color: #339900; border-style: solid; border-width: 1px;">Use green div. How do you like this plugin?</div>
	</br>	
	[colordiv color="orange"]
	Use orange div. How do you like this plugin? 
	[/colordiv]
	</br>
	<div style="background-color: #FFCC99; border-color: #FF9900; border-style: solid; border-width: 1px;">Use orange div. How do you like this plugin?</div>


<?php
}

/*Add contact form*/
function color_div_box_function( $atts, $content = null ){
?>
	<style type="text/css">
		div.redcolor {
		  border-width:1px;
		  border-style:solid;
		  border-color:#ff0000;
		  background-color:#ffcccc;
  		}
		div.greencolor {
		  border-width:1px;
		  border-style:solid;
		  border-color:#339900;
		  background-color:#99ff66;
  		}
		div.bluecolor {
		  border-width:1px;
		  border-style:solid;
		  border-color:#3399ff;
		  background-color:#99ccff;
  		}
		div.yellowcolor {
		  border-width:1px;
		  border-style:solid;
		  border-color:#ffff00;
		  background-color:#ffffdd;
  		}
		div.orangecolor {
		  border-width:1px;
		  border-style:solid;
		  border-color:#ff9900;
		  background-color:#ffcc99;
  		}
	</style>
<?php
	extract( shortcode_atts( array('color' => 'blue'), $atts ) );
	if ($color == "red")
		return	'<div class="redcolor">' . $content . '</div>';
	elseif ($color == "green")
		return	'<div class="greencolor">' . $content . '</div>';
	elseif ($color == "blue")
		return	'<div class="bluecolor">' . $content . '</div>';
	elseif ($color == "yellow")
		return	'<div class="yellowcolor">' . $content . '</div>';
	elseif ($color == "orange")
		return	'<div class="orangecolor">' . $content . '</div>';

}
?>
